| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_VPrivateDataAccess Class Reference

`#include <AAX_VPrivateDataAccess.h>`

Inheritance diagram for AAX_VPrivateDataAccess:
[legend]
Collaboration diagram for AAX_VPrivateDataAccess:
[legend]

## Description

Version-managed concrete AAX_IPrivateDataAccess class.

## Public Member Functions
| AAX_VPrivateDataAccess (IACFUnknown *pUnknown)
| ~AAX_VPrivateDataAccess () AAX_OVERRIDE
AAX_Result | ReadPortDirect (AAX_CFieldIndex inFieldIndex, const uint32_t inOffset, const uint32_t inSize, void *outBuffer) AAX_OVERRIDE
| Read data directly from DSP at the given port.
AAX_Result | WritePortDirect (AAX_CFieldIndex inFieldIndex, const uint32_t inOffset, const uint32_t inSize, const void *inBuffer) AAX_OVERRIDE
| Write data directly to DSP at the given port.
Public Member Functions inherited from AAX_IPrivateDataAccess
virtual | ~AAX_IPrivateDataAccess ()
virtual AAX_Result | ReadPortDirect (AAX_CFieldIndex inFieldIndex, const uint32_t inOffset, const uint32_t inSize, void *outBuffer)=0
| Read data directly from DSP at the given port.
virtual AAX_Result | WritePortDirect (AAX_CFieldIndex inFieldIndex, const uint32_t inOffset, const uint32_t inSize, const void *inBuffer)=0
| Write data directly to DSP at the given port.

## Constructor & Destructor Documentation

## ◆ AAX_VPrivateDataAccess()

AAX_VPrivateDataAccess::AAX_VPrivateDataAccess | ( | IACFUnknown * | pUnknown | ) |

## ◆ ~AAX_VPrivateDataAccess()

AAX_VPrivateDataAccess::~AAX_VPrivateDataAccess | ( |  | ) |

## Member Function Documentation

## ◆ ReadPortDirect()

AAX_Result AAX_VPrivateDataAccess::ReadPortDirect | ( | AAX_CFieldIndex | inFieldIndex,
|  | const uint32_t | inOffset,
|  | const uint32_t | inSize,
|  | void * | outBuffer
| ) |  |
| virtual

Read data directly from DSP at the given port.

Note
  Blocking

Parameters

  [in] | inFieldIndex | The port to read from.
  [in] | inOffset | Offset into data to start reading.
  [in] | inSize | Amount of data to read (in bytes).
  [out] | outBuffer | Pointer to storage for data to be read into.

Implements AAX_IPrivateDataAccess.

## ◆ WritePortDirect()

AAX_Result AAX_VPrivateDataAccess::WritePortDirect | ( | AAX_CFieldIndex | inFieldIndex,
|  | const uint32_t | inOffset,
|  | const uint32_t | inSize,
|  | const void * | inBuffer
| ) |  |
| virtual

Write data directly to DSP at the given port.

Note
  Blocking

Parameters

  [in] | inFieldIndex | The port to write to.
  [in] | inOffset | Offset into data to begin writing.
  [in] | inSize | Amount of data to write (in bytes).
  [in] | inBuffer | Pointer to data being written.

Implements AAX_IPrivateDataAccess.

The documentation for this class was generated from the following file:

- AAX_VPrivateDataAccess.h